/** BallBounce.java calculates and displays the rebound heights 
 *   of a dropped ball.
 *
 *  Input:  A real height from which a ball is dropped.
 *  Output: For each rebound of the ball from the pavement below:
 *           the number of the rebound and
 *           the height of that rebound, assuming that the height 
 *             of each rebound is one-half the previous height
 */

import ann.easyio.*;         // Keyboard, Screen

class BallBounce
{
 public static void main(String [] args)
 {
   final double SMALL_NUMBER = 1.0e-3,    // 1 millimeter.
                REBOUND_FACTOR = 0.5;
   Screen theScreen = new Screen();
   Keyboard theKeyboard = new Keyboard();

   theScreen.print(
           "\nTo compute the rebound number and height for a dropped ball,"
         + "\n enter the starting height (in meters): ");

   double height = theKeyboard.readDouble();

   theScreen.println("\nStarting height: " + height + " meters.");

   int bounce = 0;
   while (height >= SMALL_NUMBER)
   {
     height *= REBOUND_FACTOR;
     bounce++;
     theScreen.println("Rebound #" + bounce + ": " 
                       + height + " meters.");
   }
 }
}

